// 
// sussen-agent - I18N.cs
// Author: Loren Bandiera
// Copyright 2005 MMG Security, Inc.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; version 2 of the License
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//

using System;

#if MONO_BUILD
using Mono.Unix;
#endif

namespace Sussen.Agent
{
#if MONO_BUILD
	public class I18N
	{
		public static string AgentRegistered 
		{
			get { return Catalog.GetString ("{0} has successfully registered with the following web service:\n{1}."); }			
		}
	
		public static string ErrorAbort 
		{
			get { return Catalog.GetString ("Aborting."); }			
		}
	
		public static string ErrorDataFileDoesNotExist 
		{
			get { return Catalog.GetString ("ERROR: Data file '{0}' does not exist."); }			
		}
	
		public static string ErrorDefinitionFileDoesNotExist 
		{
			get { return Catalog.GetString ("ERROR: OVAL definitions file '{0}' does not exist."); }			
		}
		
		public static string ErrorGeneric 
		{
			get { return Catalog.GetString ("ERROR: {0}"); }			
		}
		
		public static string ErrorNoDefinitionsFileSpecified
		{
			get { return Catalog.GetString ("ERROR: No definitions file specified."); }			
		}
		
		public static string ErrorNoOperationSpecified
		{
			get { return Catalog.GetString ("No operation specified. Exiting"); }			
		}
		
		public static string ErrorNoWSDL
		{
			get { return Catalog.GetString ("No WSDL document was found at "); }			
		}
		
		public static string ErrorOpeningAgentId
		{
			get { return Catalog.GetString ("Unable to open sussen-agent.id"); }			
		}
		
		public static string ErrorSettingProcessName 
		{
			get { return Catalog.GetString ("Error setting process name: {0}"); }			
		}
		
		public static string ErrorUnableToRegisterAgent 
		{
			get { return Catalog.GetString ("Unable to register agent with web service"); }			
		}
		
		public static string ErrorWebserviceBuildFailed 
		{
			get { return Catalog.GetString ("Build failed: {0} errors"); }			
		}
		
		public static string ErrorWebserviceDecompression
		{
			get { return Catalog.GetString (" Decompression failed"); }			
		}
		
		public static string ErrorWebserviceFailedToMatchSchemaSomeProcessing
		{
			get { return Catalog.GetString (" Failed to match schema - some processing occurred"); }			
		}
		
		public static string ErrorWebserviceFailedToMatchSchemaNoProcessing
		{
			get { return Catalog.GetString (" Failed to match schema - no processing occurred"); }			
		}
		
		public static string ErrorWebserviceFatalError
		{
			get { return Catalog.GetString (" Unexpected fatal error"); }			
		}
		
		public static string ErrorWebserviceInvalidXml
		{
			get { return Catalog.GetString (" Invalid XML"); }			
		}
		
		public static string QuestionReRegisterAgent 
		{
			get { return Catalog.GetString ("The agent appears to already be registered.\nWould you like to continue (Yes/No)? "); }			
		}
		
		public static string ScanDataSaved
		{
			get { return Catalog.GetString ("Saved scan data with web service"); }			
		}
		
		public static string SystemCharacteristicsSaved
		{
			get { return Catalog.GetString ("Saved system characteristics with web service"); }			
		}
		
		public static string UsageOptions 
		{
			get { return Catalog.GetString ("Options:"); }			
		}
		
		public static string UsageAnalyze 
		{
			get { return Catalog.GetString ("  -a,  --analyze [file]\t\tAnalyze previously collected data [file]"); }			
		}
		
		public static string UsageCollect 
		{
			get { return Catalog.GetString ("  -c,  --collect\t\tCollect data from system only"); }			
		}		

		public static string UsageDebug 
		{
			get { return Catalog.GetString ("  -d,  --debug\t\t\tEnable debugging mode"); }			
		}

		public static string UsageHelp 
		{
			get { return Catalog.GetString ("  -h,  --help\t\t\tPrint this usage message."); }			
		}
		
		public static string UsageOutput 
		{
			get { return Catalog.GetString ("  -o,  --output <file>\t\tSave results to <file> (def: results.html)"); }			
		}
		
		public static string UsageOutputType 
		{
			get { return Catalog.GetString ("  -ot, --output-type <type>\tOutput type [html|xml] (def: html)"); }			
		}
		
		public static string UsageRegisterAgent 
		{
			get { return Catalog.GetString ("  -r,  --register-agent\t\tRegister agent with web service"); }			
		}
		
		public static string UsageScan 
		{
			get { return Catalog.GetString ("  -s,  --scan\t\t\tScans the system for vulnerabilities"); }			
		}
		
		public static string UsageVersion 
		{
			get { return Catalog.GetString ("  -v,  --version\t\tPrint version and exit."); }			
		}
		
		public static string UsageVerifyMD5 
		{
			get { return Catalog.GetString ("  -vm, --verify-md5 <md5>\tVerify OVAL defintions file md5 signature."); }			
		}

		public static string UsageWebCollect 
		{
			get { return Catalog.GetString ("  -wc, --web-collect\t\tCollect system data using the web service"); }			
		}
		
		public static string UsageWebScan 
		{
			get { return Catalog.GetString ("  -ws, --web-scan\t\tScan the system using the web service"); }			
		}
		
	}
#else

#endif	
}