// 
// sussen-editor - GtkAddTestDialog.cs
// Author: Loren Bandiera
// Copyright 2004-2006 MMG Security, Inc.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; Version 2 .
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//

using System;
using System.Collections.Specialized;
using Gtk;

namespace Sussen.Editor.Gui
{	
	public class GtkAddTestDialog : Gtk.Dialog
	{
		NameValueCollection enabledTests;
		Gtk.ListStore store;
		
		protected Gtk.TreeView treeview1;		
	
		public GtkAddTestDialog()
		{
			Stetic.Gui.Build(this, typeof(Sussen.Editor.Gui.GtkAddTestDialog));
			
			enabledTests = new NameValueCollection ();
			
			store = new Gtk.ListStore (typeof (bool), typeof (string), typeof (string));			
			treeview1.Model = store;
			
			CellRendererToggle crt = new CellRendererToggle();
			crt.Activatable = true;
			crt.Toggled += OnTestToggled;
			
			treeview1.AppendColumn ("Selected", crt, "active", 0);
			treeview1.AppendColumn ("ID", new CellRendererText (), "text", 1);
			treeview1.AppendColumn ("Comment", new CellRendererText (), "text", 2);			
		}

		public void AddTest (string testID, string testComment)
		{
			store.AppendValues (false, testID, testComment);
		}

		public NameValueCollection EnabledTests
		{
			get { return enabledTests; }
		}

		void OnTestToggled (object o, ToggledArgs args)
		{
			TreeIter iter;

			if (store.GetIter (out iter, new TreePath(args.Path))) {
				bool old = (bool) store.GetValue (iter,0);
				store.SetValue(iter,0,!old);
			}
		}

		protected virtual void OnOkClicked(object sender, System.EventArgs e)
		{
			foreach (object[] row in store) {
				string id = (string) row[1];
				string comment = (string) row[2];
				bool active = (bool) row[0];				
				if (active)
					enabledTests[id] = comment;
			}
		}
	}
}
