// 
// sussen-editor - GtkDefinitionOutputView.cs
// Author: Loren Bandiera
// Copyright 2004-2006 MMG Security, Inc.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; Version 2 .
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//

using System;
using System.Xml;
using Gtk;
using Sussen.Oval;

namespace Sussen.Editor.Gui
{	
	public class GtkDefinitionOutputView : Gtk.Bin
	{
		ListStore outStore;
		
		protected Gtk.Label resultLabel;
		protected Gtk.EventBox resultEventBox;
		protected Gtk.TreeView outTreeView;

		
		public GtkDefinitionOutputView()
		{
			Stetic.Gui.Build(this, typeof(Sussen.Editor.Gui.GtkDefinitionOutputView));
			
			outStore = new ListStore (typeof(string), typeof(string));
			outTreeView.Model = outStore;
			outTreeView.AppendColumn ("Test", new CellRendererText (), "text", 0);
			outTreeView.AppendColumn ("Result", new CellRendererText (), "text", 1);
		}
		
		public void AddItem (string testName, string testResult)
		{
			outStore.AppendValues (testName, testResult);
		}
		
		public void Clear ()
		{
			outStore.Clear ();
		}
		
		public string Result
		{
			get { return resultLabel.Text; }
			set {				
				resultLabel.Text =  value;
				SetResultColor (value);
			}
		}
		
		void SetResultColor (string result)
		{
			switch (result) {
				
			case "TRUE":
				resultEventBox.ModifyBg (StateType.Normal, new Gdk.Color (200, 0, 0));
				break;
					
			case "FALSE":
				resultEventBox.ModifyBg (StateType.Normal, new Gdk.Color (0, 200, 0));
				break;					
					
			default:
				resultEventBox.ModifyBg (StateType.Normal, new Gdk.Color (255, 255, 0));
				break;
			}		
		}
	}
}
