// 
// CmdReader.cs
// Author: Loren Bandiera
// Copyright 2004-2006 MMG Security, Inc.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; Version 2 
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//

using System;
using System.Diagnostics;
using System.IO;
using System.Text;

namespace Sussen.Oval
{
	public class CmdReader
	{
		public static string Read (string[] paths, string args)
		{
			ProcessStartInfo startInfo = new ProcessStartInfo ();
			startInfo.Arguments = args;
			
			startInfo.RedirectStandardOutput = true;
			startInfo.RedirectStandardError = true;
			startInfo.UseShellExecute = false;
			
			Process proc = null;
			
			foreach (string p in paths) 
			{	
				if (!File.Exists (p))
					continue;
	
				try 
				{
					startInfo.FileName = p;

					proc = Process.Start (startInfo);

					StreamReader stdout = proc.StandardOutput;

					string retVal = stdout.ReadToEnd ().Trim();

					if (!proc.HasExited) {
						proc.Kill ();
						proc.Close ();
					}

					return retVal;
					
				} catch (Exception e) {
				
					Log.Debug (e);
					
					if (proc != null)
						if (!proc.HasExited) {
							proc.Kill ();
							proc.Close ();
						}
				}
			}
			
			return null; 
		}
	}
}
