//
// ApacheVersionTestTest.cs - NUnit Test Cases for Sussen.Oval.Apache
//
// Loren Bandiera (lorenb@mmgsecurity.com)
//
// Copyright (C) MMG Security, Inc.
// 

using System;
using System.Xml;
using NUnit.Framework;
using Sussen.Oval;
using Sussen.Oval.Apache;

namespace SussenTests.Oval.Apache
{
	[TestFixture]
	public class ApacheVersionTestTest
	{
		VersionTest vt;

		[SetUp]
		public void SetUp()
		{
			vt = new VersionTest ();
		}

		[TearDown]
		public void TearDown ()
		{
			vt = null;
		}

		[Test]
		public void TestVersionTest ()
		{
			CollectedItem[] testResults;
			testResults = vt.Run (null, null);
		
			Assert.AreEqual (1, testResults.Length, "No results found for apache version test");

			foreach (CollectedItem v in testResults)
				if (v.Flag != Flags.Error) {
					EntityObject ie = v.Items[0];
					Assert.IsNotNull (ie.Value, "Unable to collect apache version");
				}
		}
	}
}
