//
// EnvironmentVariableTestTest.cs - NUnit Test Cases for Sussen.Oval.Unix
//
// Loren Bandiera (lorenb@mmgsecurity.com)
//
// Copyright (C) MMG Security, Inc.
// 

using System;
using System.Xml;
using NUnit.Framework;
using Sussen.Oval;
using Sussen.Oval.Independent;

namespace SussenTests.Oval.Independent
{
	[TestFixture]
	public class EnvironmentVariableTestTest
	{
		EnvironmentVariableTest et;
		ObjectElement oe;

		[SetUp]
		public void SetUp()
		{
			et = new EnvironmentVariableTest ();

			oe = new ObjectElement ("environmentvariable_object", "oval:org.mmgsecurity:obj:1", "1", "");

			EntityObject eo = new EntityObject ("name", "PATH", Operations.Equals, OvalDataTypes.StringType, Checks.All);
			oe.Entities [eo.Name] = eo;
		}

		[TearDown]
		public void TearDown ()
		{
			et = null;
			oe = null;
		}

		[Test]
		public void TestEnvironmentVariableTest ()
		{
			CollectedItem[] testResults;
			testResults = et.Run (null, oe);

			Assert.AreEqual (1, testResults.Length, "No results found for environmentvariable test");

                        foreach (CollectedItem c in testResults) {
				EntityObject ie = c.Items[0];
				Assert.IsNotNull (ie.Value, "No environment variable value found");
			}
		}
	}
}
