//
// FamilyTestTest.cs - NUnit Test Cases for Sussen.Oval.Unix
//
// Loren Bandiera (lorenb@mmgsecurity.com)
//
// Copyright (C) MMG Security, Inc.
// 

using System;
using System.Xml;
using NUnit.Framework;
using Sussen.Oval;
using Sussen.Oval.Independent;

namespace SussenTests.Oval.Independent
{
	[TestFixture]
	public class FamilyTestTest
	{
		FamilyTest ft;

		[SetUp]
		public void SetUp()
		{
			ft = new FamilyTest ();
		}

		[TearDown]
		public void TearDown ()
		{
			ft = null;
		}

		[Test]
		public void TestFamilyTest ()
		{
			CollectedItem[] testResults;
			testResults = ft.Run (null, null);

			Assert.AreEqual (1, testResults.Length, "No results found for family test");

			foreach (CollectedItem c in testResults) {
				EntityObject ie = c.Items[0];
#if MONO_BUILD
                Assert.AreEqual ("unix", ie.Value);
#else
                Assert.AreEqual("windows", ie.Value);
#endif
				
			}
		}
	}
}
