//
// UnixInterfaceTestTest.cs - NUnit Test Cases for Sussen.Oval.Unix
//
// Loren Bandiera (lorenb@mmgsecurity.com)
//
// Copyright (C) MMG Security, Inc.
// 

using System;
using System.Xml;
using NUnit.Framework;
using Sussen.Oval;
using Sussen.Oval.Unix;

namespace SussenTests.Oval.Unix
{
	[TestFixture]
	public class UnixInterfaceTestTest
	{
		InterfaceTest it;
		ObjectElement oe;

		[SetUp]
		public void SetUp()
		{
			it = new InterfaceTest ();

			oe = new ObjectElement ("interface_object", "oval:org.mmgsecurity:obj:1", "1", "");

			EntityObject eo1 = new EntityObject ("name", "lo", Operations.Equals, OvalDataTypes.StringType, Checks.All);
			oe.Entities [eo1.Name] = eo1;
		}

		[TearDown]
		public void TearDown ()
		{
			it = null;
			oe = null;
		}

		[Test]
		public void TestInterfaceTest ()
		{
			CollectedItem[] testResults;
			testResults = it.Run (null, oe);

			Assert.AreEqual (1, testResults.Length, "No test results found");

			foreach (CollectedItem c in testResults) {
				EntityObject ie = c.Items[0];
				if (ie.Name == "inet_addr")
					Assert.AreEqual ("127.0.0.1", ie.Value);
			}
		}
	}
}
