// 
// OvalResults.cs
// Author: Loren Bandiera
// Copyright 2004-2006 MMG Security, Inc.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; version 2 of the License
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//

using System;
using System.Collections.Generic;
using System.Data;
using System.IO;
using System.Text;
using System.Xml;

namespace Sussen.Web.BusinessLogic
{
    class OvalResultsData
    {
        DataSet generatorDataSet;
        DataSet defintionDataSet;
        DataSet resultsDataSet;

        public OvalResultsData(string resultsXml)
        {
            XmlDocument doc = new XmlDocument();
            doc.LoadXml(resultsXml);

            ParseResults(doc);
        }

        DataSet GetDataSet(string xml)
        {
            StringReader sr = new StringReader(xml);
            XmlTextReader xr = new XmlTextReader(sr);

            DataSet ds = new DataSet();
            ds.ReadXml(xr);

            xr.Close();
            sr.Close();

            return ds;
        }

        void ParseResults(XmlDocument doc)
        {
            XmlNodeList nl = doc.GetElementsByTagName("generator");
            if (!(nl.Count > 0))
                return;

            XmlElement genElement = (XmlElement)nl[0];
            generatorDataSet = GetDataSet(genElement.OuterXml);

// 			FIXME: find another way to parse results
//            nl = doc.GetElementsByTagName("oval_definitions");
//            if (!(nl.Count > 0))
//                return;
//
//            XmlElement odElement = (XmlElement)nl[0];
//            defintionDataSet = GetDataSet(odElement.OuterXml);
//
//            nl = doc.GetElementsByTagName("results");
//            if (!(nl.Count > 0))
//                return;
//
//            XmlElement resultsElement = (XmlElement)nl[0];
//            resultsDataSet = GetDataSet(resultsElement.OuterXml);
        }

        public DataSet GeneratorDataSet
        {
            get { return generatorDataSet; }
        }

        public DataSet DefinitionsDataSet
        {
            get { return defintionDataSet; }
        }

        public DataSet ResultsDataSet
        {
            get { return resultsDataSet; }
        }
    }
}
