// 
// SystemCharacteristicsBLL.cs
// Author: Loren Bandiera
// Copyright 2004-2006 MMG Security, Inc.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; version 2 of the License
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//

using System;
using System.ComponentModel;
using System.Data;
using System.Configuration;
using Sussen.Web.Data;

namespace Sussen.Web.BusinessLogic
{
//    [DataObject]
    public class SystemCharacteristicsBLL
    {
    	ScansTableAdapter scansAdapter = null;
        SystemCharacteristicsTableAdapter scAdapter = null;        

//        [DataObjectMethodAttribute(DataObjectMethodType.Select, true)]
        public SystemCharacteristicsDataTable GetSystemCharacteristics ()
        {
            return SystemCharacteristicsAdapter.GetData();
        }

//        [DataObjectMethodAttribute(DataObjectMethodType.Select, true)]
        public SystemCharacteristicsDataTable GetSystemCharacteristicsByAgentId (string agentID)
        {
            return SystemCharacteristicsAdapter.GetDataByAgentId(agentID);
        }

//        [DataObjectMethodAttribute(DataObjectMethodType.Select, true)]
        public SystemCharacteristicsDataTable GetSystemCharacteristicsByScanId (int scanID)
        {
            return SystemCharacteristicsAdapter.GetDataByScanId(scanID);
        }

//        [DataObjectMethodAttribute(DataObjectMethodType.Update, true)]
        public int InsertSystemCharacteristics(string agentID, string xml)
        {
            int scanID = -1;

            try
            {
                scanID = ScansAdapter.Insert (agentID);               
                if (scanID < 0)
                    return scanID;

                SystemCharacteristicsAdapter.Insert(scanID, agentID, xml);


            } catch (Exception e) {
				Console.WriteLine (e.ToString());            
            }

            return scanID;
        }

//        [DataObjectMethodAttribute(DataObjectMethodType.Update, true)]
        public int DeleteSystemCharacteristicsByAgentId(string agentID)
        {
            return SystemCharacteristicsAdapter.DeleteSystemCharacteristicsByAgentId(agentID);
        }

        protected SystemCharacteristicsTableAdapter SystemCharacteristicsAdapter
        {
            get
            {
                if (scAdapter == null)
                    scAdapter = new SystemCharacteristicsTableAdapter();

                return scAdapter;
            }
        }
        
        protected ScansTableAdapter ScansAdapter
        {
            get
            {
                if (scansAdapter == null)
                    scansAdapter = new ScansTableAdapter();

                return scansAdapter;
            }
        }
    }
}
