// 
// sussen-web - AgentPolicyRow.cs
// Author: Loren Bandiera
// Copyright 2006 MMG Security, Inc.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; version 2 of the License
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//

using System;
using System.Collections;
using System.Data;

namespace Sussen.Web.Data
{
	public class AgentPolicyRow : DataRow
	{
		AgentPolicyDataTable agentPolicyTable;
		
		internal AgentPolicyRow (DataRowBuilder rb) : base (rb)
		{
			agentPolicyTable = (AgentPolicyDataTable) this.Table;
		}
		
		public string AgentID
		{
			get { return (string) this[agentPolicyTable.AgentIdColumn]; }
			set { this [agentPolicyTable.AgentIdColumn] = value; }
		}
		
		public string Definitions
		{
			get { return (string) this[agentPolicyTable.DefinitionsColumn]; }
			set { this [agentPolicyTable.DefinitionsColumn] = value; }
		}		
	}
	
}