// 
// sussen-web - AgentStatusRow.cs
// Author: Loren Bandiera
// Copyright 2006 MMG Security, Inc.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; version 2 of the License
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//

using System;
using System.Collections;
using System.Data;

namespace Sussen.Web.Data
{
	public class AgentStatusRow : DataRow
	{
		AgentStatusDataTable agentStatusTable;
		
		internal AgentStatusRow (DataRowBuilder rb) : base (rb)
		{
			agentStatusTable = (AgentStatusDataTable) this.Table;
		}
		
		public string ID
		{
			get { return (string) this[agentStatusTable.IdColumn]; }
			set { this [agentStatusTable.IdColumn] = value; }
		}
			
		public string ProductVersion
		{
			get { return (string) this[agentStatusTable.VersionColumn]; }
			set { this [agentStatusTable.VersionColumn] = value; }
		}
		
		public DateTime LastScan
		{
			get { return (DateTime) this[agentStatusTable.LastScanColumn]; }
			set { this [agentStatusTable.VersionColumn] = value; }		
		}
	}
	
}