// 
// sussen-web - DefinitionResultsRow.cs
// Author: Loren Bandiera
// Copyright 2006 MMG Security, Inc.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; version 2 of the License
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//

using System;
using System.Collections;
using System.Data;

namespace Sussen.Web.Data
{
	public class DefinitionResultsRow : DataRow
	{
		DefinitionResultsDataTable defTable;
		
		internal DefinitionResultsRow (DataRowBuilder rb) : base (rb)
		{
			defTable = (DefinitionResultsDataTable) this.Table;
		}
		
		public int ID
		{
			get { return (int) this[defTable.IdColumn]; }
			set { this [defTable.IdColumn] = value; }
		}
		
		public string ScanID
		{
			get { return (string) this[defTable.ScanIdColumn]; }
			set { this [defTable.ScanIdColumn] = value; }
		}
		
		public string AgentID
		{
			get { return (string) this[defTable.AgentIdColumn]; }
			set { this [defTable.AgentIdColumn] = value; }
		}
		
		public string DefinitionID
		{
			get { return (string) this[defTable.DefinitionIdColumn]; }
			set { this [defTable.DefinitionIdColumn] = value; }
		}
		
		public string Title
		{
			get { return (string) this[defTable.TitleColumn]; }
			set { this [defTable.TitleColumn] = value; }
		}
		
		public string Description
		{
			get { return (string) this[defTable.DescriptionColumn]; }
			set { this [defTable.DescriptionColumn] = value; }
		}
		
		public string ReferenceSource
		{
			get { return (string) this[defTable.RefSourceColumn]; }
			set { this [defTable.RefSourceColumn] = value; }
		}
		
		public string ReferenceID
		{
			get { return (string) this[defTable.RefIdColumn]; }
			set { this [defTable.RefIdColumn] = value; }
		}
		
		public string ReferenceUrl
		{
			get { return (string) this[defTable.RefUrlColumn]; }
			set { this [defTable.RefUrlColumn] = value; }
		}
		
		public string AffectedFamily
		{
			get { return (string) this[defTable.AffectedFamilyColumn]; }
			set { this [defTable.AffectedFamilyColumn] = value; }
		}
		
		public string AffectedPlatform
		{
			get { return (string) this[defTable.AffectedPlatformColumn]; }
			set { this [defTable.AffectedPlatformColumn] = value; }
		}
		
		public string AffectedProduct
		{
			get { return (string) this[defTable.AffectedProductColumn]; }
			set { this [defTable.AffectedProductColumn] = value; }
		}
		
		public string Result
		{
			get { return (string) this[defTable.ResultColumn]; }
			set { this [defTable.ResultColumn] = value; }
		}
		
		public bool IssueResolved
		{
			get { return (bool) this[defTable.IssueResolvedColumn]; }
			set { this [defTable.IssueResolvedColumn] = value; }
		}		
	}
	
}