// 
// sussen-web - ScansRow.cs
// Author: Loren Bandiera
// Copyright 2006 MMG Security, Inc.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; version 2 of the License
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//

using System;
using System.Collections;
using System.Data;

namespace Sussen.Web.Data
{
	public class ScansRow : DataRow
	{
		ScansDataTable scansTable;
		
		internal ScansRow (DataRowBuilder rb) : base (rb)
		{
			scansTable = (ScansDataTable) this.Table;
		}
		
		public int ID 
		{
			get { return (int) this[scansTable.IdColumn]; }
			set { this [scansTable.IdColumn] = value; }
		}
		
		public string AgentID
		{
			get { return (string) this[scansTable.AgentIdColumn]; }
			set { this [scansTable.AgentIdColumn] = value; }
		}
		
		public DateTime ScanDate
		{
			get { return (DateTime) this[scansTable.ScanDateColumn]; }
			set { this [scansTable.ScanDateColumn] = value; }
		}		
	}
	
}