// 
// sussen-web - SussenDataSet.cs
// Author: Loren Bandiera
// Copyright 2006 MMG Security, Inc.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; version 2 of the License
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//

using System;
using System.Configuration;
using System.Data;
using System.Data.Common;
using System.IO;
using System.Runtime.Serialization;
using System.Xml;
using System.Xml.Schema;

namespace Sussen.Web.Data
{
	[System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "2.0.0.0")]
    [Serializable()]
    [System.Xml.Serialization.XmlSchemaProviderAttribute("GetTypedDataSetSchema")]
    [System.Xml.Serialization.XmlRootAttribute("SussenDataSet")]
    public partial class SussenDataSet : DataSet 
    {
    	AgentsDataTable agentsTable;
    	SchemaSerializationMode schemaSerializationMode = SchemaSerializationMode.IncludeSchema;
    	
    	public SussenDataSet ()
    	{
    		this.BeginInit ();
    		this.InitClass ();
    		this.EndInit ();    		
    	}
    	
    	protected SussenDataSet (SerializationInfo info, StreamingContext context) : base (info, context)
    	{
    		if (this.IsBinarySerialized(info, context) == true) {
    			InitVars(false);
    			return;
    		}
    		
    		string strSchema = (string) info.GetValue("XmlSchema", typeof(string));
    		if ((this.DetermineSchemaSerializationMode(info, context) == SchemaSerializationMode.IncludeSchema)) {
    			DataSet ds = new DataSet();
    			ds.ReadXmlSchema (new XmlTextReader(new StringReader(strSchema)));
    			
    			if (ds.Tables["agents"] != null)
    				base.Tables.Add (new AgentsDataTable (ds.Tables["agents"]));
    				
    			this.DataSetName = ds.DataSetName;
    			this.Prefix = ds.Prefix;
    			this.Namespace = ds.Namespace;
    			this.Locale = ds.Locale;
    			this.CaseSensitive = ds.CaseSensitive;
    			this.EnforceConstraints = ds.EnforceConstraints;
    			Merge (ds, false, MissingSchemaAction.Add);
    			InitVars ();
    		} else {
    			ReadXmlSchema (new XmlTextReader(new StringReader(strSchema)));
    		}
    		
    		GetSerializationData (info, context);    		
    	}
    	
    	public AgentsDataTable Agents
    	{
    		get { return agentsTable; }
    	}
    	
    	protected override XmlSchema GetSchemaSerializable() 
    	{
            MemoryStream stream = new MemoryStream();
            this.WriteXmlSchema(new XmlTextWriter(stream, null));
            stream.Position = 0;
            return XmlSchema.Read(new XmlTextReader(stream), null);
        }
    	
    	public override System.Data.SchemaSerializationMode SchemaSerializationMode 
    	{
            get { return schemaSerializationMode; }
            set { schemaSerializationMode = value; }
        }
    	
    	void InitClass ()
    	{
    		this.DataSetName = "SussenDataSet";
    		this.Prefix = "";
    		this.Namespace = "http://tempuri.org/SussenDataSet.xsd";
            this.EnforceConstraints = true;
            this.SchemaSerializationMode = SchemaSerializationMode.IncludeSchema;
            
            agentsTable = new AgentsDataTable ();
            base.Tables.Add (agentsTable);
    	}
    	
    	void InitVars ()
    	{
    		InitVars (true);
    	}
    	
    	void InitVars (bool initTable)
    	{
    		agentsTable = (AgentsDataTable) base.Tables["agents"];
    		if (initTable && agentsTable != null)
    			agentsTable.InitVars ();
    	}
    	
    }
}