using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.IO;
using System.Text;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Xml;
using System.Xml.XPath;
using System.Xml.Xsl;
using Sussen.Web.Data;
using Sussen.Web.BusinessLogic;

public partial class Report : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!User.Identity.IsAuthenticated)
        {
            Response.Write("You are not logged in");
            return;
        }

        SussenDataSet.scan_resultsDataTable dataTable;
        ScanResultsBLL scanResultsLogic = new ScanResultsBLL();

        string sid = Request.QueryString["id"];
        if (sid == null || sid == string.Empty)
            throw new ApplicationException("sid is no good");

        int id = int.Parse(sid);
        dataTable = scanResultsLogic.GetScanResultsByScanId(id);

        foreach (SussenDataSet.scan_resultsRow resultsRow in dataTable)
        {
            XslTransform xslt = new XslTransform();
            XmlTextReader reader = new XmlTextReader(new StringReader(resultsRow.results));
            XPathDocument xpathDoc = new XPathDocument(reader);

            StringBuilder buffer = new StringBuilder();
            StringWriter writer = new StringWriter(buffer);

            xslt.Load(Server.MapPath("results_to_html.xsl"));
            xslt.Transform(xpathDoc, null, Response.Output);

            Xml1.Transform = xslt;
        } 
    }
}
